# -*- coding: utf-8 -*-
'''
Created on Jul 30, 2012

@author: ymh
'''
from haystack.utils import Highlighter

class LdtHighlighter(Highlighter):
    
    def render_html(self, highlight_locations=None, start_offset=None, end_offset=None):
        
        return super(LdtHighlighter, self).render_html(highlight_locations=highlight_locations, start_offset=0, end_offset=len(self.text_block))